/*
 * Copyright (c) AppDynamics, Inc., and its affiliates
 * 2023
 * All Rights Reserved
 * THIS IS UNPUBLISHED PROPRIETARY CODE OF APPDYNAMICS, INC.
 * The copyright notice above does not evidence any actual or intended publication of such source code
 */
package com.appdynamics.eum.reactnative

import com.facebook.react.bridge.Promise
import com.facebook.react.bridge.ReactApplicationContext
import com.facebook.react.bridge.Callback
import com.facebook.react.bridge.ReadableMap
import com.facebook.react.bridge.ReadableArray

class ReactNativeAppdynamicsModule(reactContext: ReactApplicationContext) : NativeReactNativeAppdynamicsSpec(reactContext) {
  private val impl = ReactNativeAppdynamicsModuleImpl(reactContext)

  override fun getName(): String {
      return ReactNativeAppdynamicsModuleImpl.NAME
  }
  
  override fun getTypedExportedConstants(): Map<String, Any> {
    return impl.getConstants()
  }
  override fun setCrashReportCallback(cb: Callback) {
      impl.setCrashReportCallback(cb)
  }


  override fun start(properties: ReadableMap, hybridAgentType: String?, hybridAgentVersion: String?, promise: Promise) {
      impl.start(properties, hybridAgentType, hybridAgentVersion, promise)
  }


  override fun changeAppKey(appKey: String, promise: Promise) {
      impl.changeAppKey(appKey, promise)
  }


  override fun reportMetric(name: String, value: Double, promise: Promise) {
      impl.reportMetric(name, value, promise)
  }


  override fun reportError(hybridExceptionData: String, severityLevel: Double, promise: Promise) {
      impl.reportError(hybridExceptionData, severityLevel, promise)
  }


  override fun createCrashReport(hybridExceptionData: String, promise: Promise) {
      impl.createCrashReport(hybridExceptionData, promise)
  }


  override fun startTimer(name: String, promise: Promise) {
      impl.startTimer(name, promise)
  }


  override fun stopTimer(name: String, promise: Promise) {
      impl.stopTimer(name, promise)
  }


  override fun shutdownAgent(promise: Promise) {
      impl.shutdownAgent(promise)
  }


  override fun restartAgent(promise: Promise) {
      impl.restartAgent(promise)
  }


  override fun trackScreenStart(trackedScreen: ReadableMap, promise: Promise) {
      impl.trackScreenStart(trackedScreen, promise)
  }


  override fun trackScreenEnd(trackedScreen: ReadableMap, promise: Promise) {
      impl.trackScreenEnd(trackedScreen, promise)
  }


  override fun beginCall(className: String?,methodName: String?,args: ReadableArray,isStaticMethod: Boolean,promise: Promise) {
      impl.beginCall(className,methodName,args,isStaticMethod,promise)
  }


  override fun endCallWithSuccess(callId: String?, data: ReadableMap, promise: Promise) {
      impl.endCallWithSuccess(callId, data, promise)
  }


  override fun endCallWithError(callId: String?, error: ReadableMap, promise: Promise) {
      impl.endCallWithError(callId, error, promise)
  }


  override fun leaveBreadcrumb(breadcrumb: String, mode: Double, promise: Promise) {
      impl.leaveBreadcrumb(breadcrumb, mode, promise)
  }


  override fun unblockScreenshots(promise: Promise) {
      impl.unblockScreenshots(promise)
  }


  override fun blockScreenshots(promise: Promise) {
      impl.blockScreenshots(promise)
  }


  override fun screenshotsBlocked(promise: Promise) {
      impl.screenshotsBlocked(promise)
  }


  override fun takeScreenshot(promise: Promise) {
      impl.takeScreenshot(promise)
  }


  override fun setUserData(key: String, value: String, promise: Promise) {
      impl.setUserData(key, value, promise)
  }


  override fun removeUserData(key:String, promise:Promise) {
      impl.removeUserData(key, promise)
  }


  override fun setUserDataNumber(key: String, value: Double, promise: Promise) {
      impl.setUserDataNumber(key, value, promise)
  }


  override fun removeUserDataNumber(key: String, promise: Promise) {
      impl.removeUserDataNumber(key, promise)
  }


  override fun setUserDataBoolean(key: String, value: Boolean, promise: Promise) {
      impl.setUserDataBoolean(key, value, promise)
  }


  override fun removeUserDataBoolean(key: String, promise: Promise) {
      impl.removeUserDataBoolean(key, promise)
  }


  override fun setUserDataDate(key: String, valueStr: String, promise: Promise) {
      impl.setUserDataDate(key, valueStr, promise)
  }


  override fun removeUserDataDate(key: String, promise: Promise) {
      impl.removeUserDataDate(key, promise)
  }


  override fun startNextSession(promise: Promise) {
      impl.startNextSession(promise)
  }


  override fun startSessionFrame(sessionFrameName: String, promise: Promise) {
      impl.startSessionFrame(sessionFrameName, promise)
  }


  override fun updateSessionFrameName(id: String, name: String, promise: Promise) {
      impl.updateSessionFrameName(id, name, promise)
  }


  override fun endSessionFrame(id: String, promise: Promise) {
      impl.endSessionFrame(id, promise)
  }


  override fun trackUIEvent(eventInfo: ReadableMap, promise: Promise) {
      impl.trackUIEvent(eventInfo, promise)
  }


  override fun getServerCorrelationHeaders(promise: Promise) {
      impl.getServerCorrelationHeaders(promise)
  }


  override fun getRequestTrackerWithUrl(urlString: String, promise: Promise) {
      impl.getRequestTrackerWithUrl(urlString, promise)
  }


  override fun setRequestTrackerErrorInfo(trackerId: String, errorDict: ReadableMap, promise: Promise) {
      impl.setRequestTrackerErrorInfo(trackerId, errorDict, promise)
  }


  override fun setRequestTrackerStatusCode(trackerId: String, statusCode: Double, promise: Promise) {
      impl.setRequestTrackerStatusCode(trackerId, statusCode, promise)
  }


  override fun setRequestTrackerResponseHeaders(trackerId: String, responseHeaders: ReadableMap, promise: Promise) {
      impl.setRequestTrackerResponseHeaders(trackerId, responseHeaders, promise)
  }


  override fun setRequestTrackerRequestHeaders(trackerId: String, requestHeaders: ReadableMap, promise: Promise) {
      impl.setRequestTrackerRequestHeaders(trackerId, requestHeaders, promise)
  }


  override fun requestTrackerReport(trackerId: String, promise: Promise) {
      impl.requestTrackerReport(trackerId, promise)
  }


  override fun setRequestTrackerUserData(trackerId: String, key: String, value: String, promise: Promise) {
      impl.setRequestTrackerUserData(trackerId, key, value, promise)
  }


  override fun setRequestTrackerUserDataNumber(trackerId: String, key: String, value: Double, promise: Promise) {
      impl.setRequestTrackerUserDataNumber(trackerId, key, value, promise)
  }


  override fun setRequestTrackerUserDataBoolean(trackerId: String, key: String, value: Boolean, promise: Promise) {
      impl.setRequestTrackerUserDataBoolean(trackerId, key, value, promise)
  }


  override fun setRequestTrackerUserDataDate(trackerId: String, key: String, value: Double, promise: Promise) {
      impl.setRequestTrackerUserDataDate(trackerId, key, value, promise)
  }

}
