"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createCrashReport = createCrashReport;
/*
 * Crashes and errors reported must respect this interface (contract) for
 * backend to accept the message.
 */

function createCrashReport(error) {
  const stackTraceRegex = /Error:.*\n([\s\S]*)/;
  const stackTraceMatch = error.stack?.match(stackTraceRegex);
  const stackTrace = stackTraceMatch ? stackTraceMatch?.[1]?.trim() : '';
  return {
    rst: stackTrace ?? '',
    crt: Date.now(),
    env: 'React Native',
    em: error.message
  };
}
//# sourceMappingURL=createCrashReport.js.map