"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.restartAgent = restartAgent;
exports.shutdownAgent = shutdownAgent;
var _InstrumentationModule = _interopRequireDefault(require("../../native/InstrumentationModule.js"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Stops sending of beacons to the collector.
 *
 * No data will come from the agent while shut down. All other activities of
 * the agent will continue, except for event sending.
 *
 * See also {@link restartAgent}
 */
async function shutdownAgent() {
  await _InstrumentationModule.default.shutdownAgent();
}

/**
 * Restarts sending of beacons to the collector.
 *
 * Data will start flowing from the agent immediately. No change will occur if
 * the shutdownAgent call has not been made.
 *
 * See also {@link shutdownAgent}
 */
async function restartAgent() {
  await _InstrumentationModule.default.restartAgent();
}
//# sourceMappingURL=shutdownRestart.js.map