"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "BreadcrumbVisibility", {
  enumerable: true,
  get: function () {
    return _leaveBreadcrumb.BreadcrumbVisibility;
  }
});
Object.defineProperty(exports, "ErrorSeverityLevel", {
  enumerable: true,
  get: function () {
    return _reportError.ErrorSeverityLevel;
  }
});
exports.Instrumentation = void 0;
Object.defineProperty(exports, "LoggingLevel", {
  enumerable: true,
  get: function () {
    return _AgentConfiguration.LoggingLevel;
  }
});
var _trackCall = _interopRequireDefault(require("../functions/trackCall.js"));
var _getServerCorrelationHeaders = _interopRequireDefault(require("../functions/getServerCorrelationHeaders.js"));
var _startSessionFrame = require("../functions/startSessionFrame.js");
var _start = _interopRequireDefault(require("../functions/start.js"));
var _changeAppKey = _interopRequireDefault(require("../functions/changeAppKey.js"));
var _reportMetric = _interopRequireDefault(require("../functions/reportMetric.js"));
var _reportError = require("../functions/reportError.js");
var _timers = require("../functions/timers.js");
var _startNextSession = _interopRequireDefault(require("../functions/startNextSession.js"));
var _leaveBreadcrumb = require("../functions/leaveBreadcrumb.js");
var _screenshots = require("../functions/screenshots.js");
var _shutdownRestart = require("../functions/shutdownRestart.js");
var _trackUIEvent = require("../functions/trackUIEvent.js");
var _setUserDataDate = require("../functions/setUserDataDate.js");
var _setUserDataNumber = require("../functions/setUserDataNumber.js");
var _setUserData = require("../functions/setUserData.js");
var _setUserDataBoolean = require("../functions/setUserDataBoolean.js");
var _setUserDataInteger = require("../functions/setUserDataInteger.js");
var _setUserDataDouble = require("../functions/setUserDataDouble.js");
var _AgentConfiguration = require("./AgentConfiguration.js");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const Instrumentation = exports.Instrumentation = {
  start: _start.default,
  startNextSession: _startNextSession.default,
  changeAppKey: _changeAppKey.default,
  reportMetric: _reportMetric.default,
  reportError: _reportError.reportError,
  trackCall: _trackCall.default,
  trackUIEvent: _trackUIEvent.trackUIEvent,
  getServerCorrelationHeaders: _getServerCorrelationHeaders.default,
  startSessionFrame: _startSessionFrame.startSessionFrame,
  leaveBreadcrumb: _leaveBreadcrumb.leaveBreadcrumb,
  // Timers
  startTimer: _timers.startTimer,
  stopTimer: _timers.stopTimer,
  // Screenshots
  takeScreenshot: _screenshots.takeScreenshot,
  screenshotsBlocked: _screenshots.screenshotsBlocked,
  blockScreenshots: _screenshots.blockScreenshots,
  unblockScreenshots: _screenshots.unblockScreenshots,
  // Shutdown and restart
  shutdownAgent: _shutdownRestart.shutdownAgent,
  restartAgent: _shutdownRestart.restartAgent,
  // User data
  setUserData: _setUserData.setUserData,
  setUserDataDate: _setUserDataDate.setUserDataDate,
  setUserDataNumber: _setUserDataNumber.setUserDataNumber,
  setUserDataBoolean: _setUserDataBoolean.setUserDataBoolean,
  setUserDataInteger: _setUserDataInteger.setUserDataInteger,
  setUserDataDouble: _setUserDataDouble.setUserDataDouble
};
//# sourceMappingURL=Instrumentation.js.map