"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.convertToError = convertToError;
exports.isPromise = isPromise;
exports.serializeLongValue = serializeLongValue;
function isPromise(object) {
  return object instanceof Object && 'then' in object && typeof object.then === 'function';
}
function convertToError(error) {
  if (error instanceof Error) {
    return {
      message: error.message || '',
      stack: error.stack || ''
    };
  }
  return {
    message: `${error}`,
    stack: ''
  };
}
function serializeLongValue(value) {
  let finalValue = value;
  if (!Number.isInteger(value)) {
    finalValue = 0;
  }
  if (value > Number.MAX_SAFE_INTEGER) {
    finalValue = Number.MAX_SAFE_INTEGER;
  } else if (value < Number.MIN_SAFE_INTEGER) {
    finalValue = Number.MIN_SAFE_INTEGER;
  }
  return finalValue.toString(10);
}
//# sourceMappingURL=instrumentation-helpers.js.map