"use strict";

import InstrumentationModule from "../../native/InstrumentationModule.js";

/**
 * Change the app key. Older beacons/reports will be discarded when app key is
 * changed.
 *
 * **NOTE:** Invoking this method has no effect unless the agent was already
 * initialized by calling one of the start methods.
 *
 * @param {string} appKey The new application key to use for reporting beacons.
 */
async function changeAppKey(appKey) {
  await InstrumentationModule.changeAppKey(appKey);
}
export default changeAppKey;
//# sourceMappingURL=changeAppKey.js.map