"use strict";

import trackCall from "../functions/trackCall.js";
import getServerCorrelationHeaders from "../functions/getServerCorrelationHeaders.js";
import { startSessionFrame } from "../functions/startSessionFrame.js";
import start from "../functions/start.js";
import changeAppKey from "../functions/changeAppKey.js";
import reportMetric from "../functions/reportMetric.js";
import { reportError } from "../functions/reportError.js";
import { startTimer, stopTimer } from "../functions/timers.js";
import startNextSession from "../functions/startNextSession.js";
import { leaveBreadcrumb } from "../functions/leaveBreadcrumb.js";
import { blockScreenshots, screenshotsBlocked, takeScreenshot, unblockScreenshots } from "../functions/screenshots.js";
import { shutdownAgent, restartAgent } from "../functions/shutdownRestart.js";
import { trackUIEvent } from "../functions/trackUIEvent.js";
import { setUserDataDate } from "../functions/setUserDataDate.js";
import { setUserDataNumber } from "../functions/setUserDataNumber.js";
import { setUserData } from "../functions/setUserData.js";
import { setUserDataBoolean } from "../functions/setUserDataBoolean.js";
import { setUserDataInteger } from "../functions/setUserDataInteger.js";
import { setUserDataDouble } from "../functions/setUserDataDouble.js";
const Instrumentation = {
  start,
  startNextSession,
  changeAppKey,
  reportMetric,
  reportError,
  trackCall,
  trackUIEvent,
  getServerCorrelationHeaders,
  startSessionFrame,
  leaveBreadcrumb,
  // Timers
  startTimer,
  stopTimer,
  // Screenshots
  takeScreenshot,
  screenshotsBlocked,
  blockScreenshots,
  unblockScreenshots,
  // Shutdown and restart
  shutdownAgent,
  restartAgent,
  // User data
  setUserData,
  setUserDataDate,
  setUserDataNumber,
  setUserDataBoolean,
  setUserDataInteger,
  setUserDataDouble
};
export { Instrumentation };
export { ErrorSeverityLevel } from "../functions/reportError.js";
export { BreadcrumbVisibility } from "../functions/leaveBreadcrumb.js";
export { LoggingLevel } from "./AgentConfiguration.js";
//# sourceMappingURL=Instrumentation.js.map