import trackCall from '../functions/trackCall';
import getServerCorrelationHeaders from '../functions/getServerCorrelationHeaders';
import { startSessionFrame } from '../functions/startSessionFrame';
import start from '../functions/start';
import changeAppKey from '../functions/changeAppKey';
import reportMetric from '../functions/reportMetric';
import { reportError } from '../functions/reportError';
import { startTimer, stopTimer } from '../functions/timers';
import startNextSession from '../functions/startNextSession';
import { leaveBreadcrumb } from '../functions/leaveBreadcrumb';
import { blockScreenshots, screenshotsBlocked, takeScreenshot, unblockScreenshots } from '../functions/screenshots';
import { shutdownAgent, restartAgent } from '../functions/shutdownRestart';
import { trackUIEvent } from '../functions/trackUIEvent';
import { setUserDataDate } from '../functions/setUserDataDate';
import { setUserDataNumber } from '../functions/setUserDataNumber';
import { setUserData } from '../functions/setUserData';
import { setUserDataBoolean } from '../functions/setUserDataBoolean';
import { setUserDataInteger } from '../functions/setUserDataInteger';
import { setUserDataDouble } from '../functions/setUserDataDouble';
declare const Instrumentation: {
    start: typeof start;
    startNextSession: typeof startNextSession;
    changeAppKey: typeof changeAppKey;
    reportMetric: typeof reportMetric;
    reportError: typeof reportError;
    trackCall: typeof trackCall;
    trackUIEvent: typeof trackUIEvent;
    getServerCorrelationHeaders: typeof getServerCorrelationHeaders;
    startSessionFrame: typeof startSessionFrame;
    leaveBreadcrumb: typeof leaveBreadcrumb;
    startTimer: typeof startTimer;
    stopTimer: typeof stopTimer;
    takeScreenshot: typeof takeScreenshot;
    screenshotsBlocked: typeof screenshotsBlocked;
    blockScreenshots: typeof blockScreenshots;
    unblockScreenshots: typeof unblockScreenshots;
    shutdownAgent: typeof shutdownAgent;
    restartAgent: typeof restartAgent;
    setUserData: typeof setUserData;
    setUserDataDate: typeof setUserDataDate;
    setUserDataNumber: typeof setUserDataNumber;
    setUserDataBoolean: typeof setUserDataBoolean;
    setUserDataInteger: typeof setUserDataInteger;
    setUserDataDouble: typeof setUserDataDouble;
};
export { Instrumentation };
export { type SessionFrame } from '../functions/startSessionFrame';
export { ErrorSeverityLevel } from '../functions/reportError';
export { BreadcrumbVisibility } from '../functions/leaveBreadcrumb';
export { LoggingLevel } from './AgentConfiguration';
//# sourceMappingURL=Instrumentation.d.ts.map