import { type ReactNode, Component } from 'react';
interface ErrorBoundaryProps {
    children: ReactNode;
    fallbackUI: ReactNode;
}
interface ErrorBoundaryState {
    hasError: boolean;
}
/**
 * Custom React Error Boundary component that both captures and redirects events to the AppDynamics controller.
 *
 * @see https://reactjs.org/docs/error-boundaries.html
 */
declare class ErrorBoundary extends Component<ErrorBoundaryProps, ErrorBoundaryState> {
    constructor(props: ErrorBoundaryProps);
    static getDerivedStateFromError(): {
        hasError: boolean;
    };
    componentDidCatch(error: Error): Promise<void>;
    render(): ReactNode;
}
export default ErrorBoundary;
//# sourceMappingURL=ErrorBoundary.d.ts.map