interface ReactNativeAppdynamicsConstants {
    MAX_USER_DATA_STRING_LENGTH: number;
    BREADCRUMB_VISIBILITY_CRASHES_ONLY: number;
    BREADCRUMB_VISIBILITY_CRASHES_AND_SESSIONS: number;
    ERROR_SEVERITY_LEVEL_INFO: number;
    ERROR_SEVERITY_LEVEL_WARNING: number;
    ERROR_SEVERITY_LEVEL_CRITICAL: number;
    INTERACTION_CAPTURE_MODE_ALL: number;
    INTERACTION_CAPTURE_MODE_NONE: number;
    INTERACTION_CAPTURE_MODE_BUTTON_PRESSED: number;
    INTERACTION_CAPTURE_MODE_TEXT_FIELD_SELECTED: number;
    INTERACTION_CAPTURE_MODE_TEXT_VIEW_SELECTED: number;
    INTERACTION_CAPTURE_MODE_LIST_VIEW_ITEM_SELECTED: number;
    INTERACTION_CAPTURE_MODE_TABLE_CELL_SELECTED: number;
    LOGGING_LEVEL_VERBOSE: number;
    LOGGING_LEVEL_INFO: number;
    LOGGING_LEVEL_NONE: number;
}
interface ReactNativeAppdynamicsModuleInterface {
    beginCall(className: string, methodName: string, args: any[], isStaticMethod: boolean): Promise<string>;
    endCallWithError(callId: string, error: object): Promise<void>;
    endCallWithSuccess(callId: string, data: {
        result: any;
    }): Promise<void>;
    changeAppKey(appKey: string): Promise<void>;
    leaveBreadcrumb(breadcrumb: string, mode: number): Promise<void>;
    reportError(hybridExceptionData: string, severityLevel: number): Promise<void>;
    reportMetric(name: string, value: number): Promise<void>;
    start(config: object, hybridAgentType: string, hybridAgentVersion: string): Promise<void>;
    setCrashReportCallback(cb: (summaries: any) => void): Promise<void>;
    startNextSession(): Promise<void>;
    createCrashReport(report: string): Promise<void>;
    trackUIEvent(eventInfo: object): Promise<void>;
    takeScreenshot(): Promise<void>;
    unblockScreenshots(): Promise<void>;
    blockScreenshots(): Promise<void>;
    screenshotsBlocked(): Promise<boolean>;
    startTimer(name: string): Promise<void>;
    stopTimer(name: string): Promise<void>;
    shutdownAgent(): Promise<void>;
    restartAgent(): Promise<void>;
    startSessionFrame(sessionFrameName: string): Promise<string>;
    updateSessionFrameName(id: string, sessionFrameName: string): Promise<void>;
    endSessionFrame(id: string): Promise<void>;
    getServerCorrelationHeaders(): Promise<any>;
    getRequestTrackerWithUrl(urlString: string): Promise<string>;
    setRequestTrackerErrorInfo(id: string, error: object): Promise<void>;
    setRequestTrackerStatusCode(id: string, statusCode: number): Promise<void>;
    setRequestTrackerResponseHeaders(id: string, responseHeaders: object): Promise<void>;
    setRequestTrackerRequestHeaders(id: string, requestHeaders: object): Promise<void>;
    requestTrackerReport(id: string): Promise<void>;
    setRequestTrackerUserData(id: string, key: string, value: string): Promise<void>;
    setRequestTrackerUserDataBoolean(id: string, key: string, value: boolean): Promise<void>;
    setRequestTrackerUserDataNumber(id: string, key: string, value: number): Promise<void>;
    setRequestTrackerUserDataDate(id: string, key: string, value: number): Promise<void>;
    trackScreenStart(trackedScreen: object): Promise<string>;
    trackScreenEnd(trackedScreen: object): Promise<void>;
    setUserData(key: string, value: string): Promise<void>;
    removeUserData(key: string): Promise<void>;
    setUserDataBoolean(key: string, value: boolean): Promise<void>;
    removeUserDataBoolean(key: string): Promise<void>;
    setUserDataDate(key: string, value: string): Promise<void>;
    removeUserDataDate(key: string): Promise<void>;
    setUserDataNumber(key: string, value: number): Promise<void>;
    removeUserDataNumber(key: string): Promise<void>;
}
type NativeInterface = ReactNativeAppdynamicsConstants & ReactNativeAppdynamicsModuleInterface;
export type { NativeInterface as default };
//# sourceMappingURL=NativeInterface.d.ts.map