import type { TurboModule } from 'react-native';
import type { Double, Float, Int32, UnsafeObject } from 'react-native/Libraries/Types/CodegenTypes';
export interface Spec extends TurboModule {
    readonly getConstants: () => {
        BREADCRUMB_VISIBILITY_CRASHES_AND_SESSIONS?: Int32;
        BREADCRUMB_VISIBILITY_CRASHES_ONLY?: Int32;
        ERROR_SEVERITY_LEVEL_CRITICAL?: Int32;
        ERROR_SEVERITY_LEVEL_INFO?: Int32;
        ERROR_SEVERITY_LEVEL_WARNING?: Int32;
        LOGGING_LEVEL_INFO?: Int32;
        LOGGING_LEVEL_NONE?: Int32;
        LOGGING_LEVEL_VERBOSE?: Int32;
        MAX_USER_DATA_STRING_LENGTH?: Int32;
    };
    beginCall(className: string, methodName: string, args: Array<string | boolean | Double | Float | Int32>, isStaticMethod: boolean): Promise<string>;
    endCallWithError(callId: string, error: UnsafeObject): Promise<void>;
    endCallWithSuccess(callId: string, data: UnsafeObject): Promise<void>;
    changeAppKey(appKey: string): Promise<void>;
    leaveBreadcrumb(breadcrumb: string, mode: Double): Promise<void>;
    reportError(hybridExceptionData: string, severityLevel: Double): Promise<void>;
    reportMetric(name: string, value: Double): Promise<void>;
    start(config: UnsafeObject, hybridAgentType: string, hybridAgentVersion: string): Promise<void>;
    setCrashReportCallback(cb: (summaries: UnsafeObject[]) => void): void;
    startNextSession(): Promise<void>;
    createCrashReport(report: string): Promise<void>;
    trackUIEvent(eventInfo: UnsafeObject): Promise<void>;
    takeScreenshot(): Promise<void>;
    unblockScreenshots(): Promise<void>;
    blockScreenshots(): Promise<void>;
    screenshotsBlocked(): Promise<boolean>;
    startTimer(name: string): Promise<void>;
    stopTimer(name: string): Promise<void>;
    shutdownAgent(): Promise<void>;
    restartAgent(): Promise<void>;
    startSessionFrame(sessionFrameName: string): Promise<string>;
    updateSessionFrameName(sessionFrameId: string, sessionFrameName: string): Promise<void>;
    endSessionFrame(sessionFrameId: string): Promise<void>;
    getServerCorrelationHeaders(): Promise<any>;
    getRequestTrackerWithUrl(urlString: string): Promise<string>;
    setRequestTrackerErrorInfo(trackerId: string, errorDict: UnsafeObject): Promise<void>;
    setRequestTrackerStatusCode(trackerId: string, statusCode: Double): Promise<void>;
    setRequestTrackerResponseHeaders(trackerId: string, responseHeaders: UnsafeObject): Promise<void>;
    setRequestTrackerRequestHeaders(trackerId: string, requestHeaders: UnsafeObject): Promise<void>;
    requestTrackerReport(id: string): Promise<void>;
    setRequestTrackerUserData(trackerId: string, key: string, value: string): Promise<void>;
    setRequestTrackerUserDataBoolean(trackerId: string, key: string, value: boolean): Promise<void>;
    setRequestTrackerUserDataNumber(trackerId: string, key: string, value: Double): Promise<void>;
    setRequestTrackerUserDataDate(trackerId: string, key: string, value: Double): Promise<void>;
    trackScreenStart(trackedScreen: UnsafeObject): Promise<string>;
    trackScreenEnd(trackedScreen: UnsafeObject): Promise<void>;
    setUserData(key: string, value: string): Promise<void>;
    removeUserData(key: string): Promise<void>;
    setUserDataBoolean(key: string, value: boolean): Promise<void>;
    removeUserDataBoolean(key: string): Promise<void>;
    setUserDataDate(key: string, value: string): Promise<void>;
    removeUserDataDate(key: string): Promise<void>;
    setUserDataNumber(key: string, value: Double): Promise<void>;
    removeUserDataNumber(key: string): Promise<void>;
}
declare const _default: Spec;
export default _default;
//# sourceMappingURL=NativeReactNativeAppdynamics.d.ts.map