import InstrumentationModule from '../../native/InstrumentationModule';
import type {RequestTrackerHeaders} from '../objects/RequestTracker';

/**
 * Generates headers used to correlate requests with business transactions.
 *
 * Usage:
 * Retrieve the list of headers and set those header values on each outgoing
 * HTTP request.
 *
 * @returns {RequestTrackerHeaders} - Correlation headers.
 */
function getServerCorrelationHeaders(): Promise<RequestTrackerHeaders> {
  return InstrumentationModule.getServerCorrelationHeaders();
}

export default getServerCorrelationHeaders;
