import trackCall from '../functions/trackCall';
import getServerCorrelationHeaders from '../functions/getServerCorrelationHeaders';
import {startSessionFrame} from '../functions/startSessionFrame';
import start from '../functions/start';
import changeAppKey from '../functions/changeAppKey';
import reportMetric from '../functions/reportMetric';
import {reportError} from '../functions/reportError';
import {startTimer, stopTimer} from '../functions/timers';
import startNextSession from '../functions/startNextSession';
import {leaveBreadcrumb} from '../functions/leaveBreadcrumb';
import {
  blockScreenshots,
  screenshotsBlocked,
  takeScreenshot,
  unblockScreenshots,
} from '../functions/screenshots';
import {shutdownAgent, restartAgent} from '../functions/shutdownRestart';
import {trackUIEvent} from '../functions/trackUIEvent';
import {setUserDataDate} from '../functions/setUserDataDate';
import {setUserDataNumber} from '../functions/setUserDataNumber';
import {setUserData} from '../functions/setUserData';
import {setUserDataBoolean} from '../functions/setUserDataBoolean';
import {setUserDataInteger} from '../functions/setUserDataInteger';
import {setUserDataDouble} from '../functions/setUserDataDouble';

const Instrumentation = {
  start,
  startNextSession,
  changeAppKey,
  reportMetric,
  reportError,
  trackCall,
  trackUIEvent,
  getServerCorrelationHeaders,
  startSessionFrame,
  leaveBreadcrumb,

  // Timers
  startTimer,
  stopTimer,

  // Screenshots
  takeScreenshot,
  screenshotsBlocked,
  blockScreenshots,
  unblockScreenshots,

  // Shutdown and restart
  shutdownAgent,
  restartAgent,

  // User data
  setUserData,
  setUserDataDate,
  setUserDataNumber,
  setUserDataBoolean,
  setUserDataInteger,
  setUserDataDouble,
};

export {Instrumentation};

export {type SessionFrame} from '../functions/startSessionFrame';

export {ErrorSeverityLevel} from '../functions/reportError';
export {BreadcrumbVisibility} from '../functions/leaveBreadcrumb';
export {LoggingLevel} from './AgentConfiguration';
