import type {Patch} from './patchutil';
import path from 'node:path';

export const PATCHES: Patch[] = [
  {
    name: 'AppDynamics build plugin link',
    anchor: /^((\s*\n)*(\/\/.+\n|\/\*[^]*\*\/))*/g, // Place this patch after the first comment block of the file
    payload:
      '\n// Applies the AppDynamics build time instrumentation plugin.\n' +
      '// This should be placed at the top of your top-level build.gradle file.\n' +
      "apply from: '../node_modules/@appdynamics/react-native-agent/android/adeum.gradle'\n",
    target: path.join(process.cwd(), 'android/build.gradle'),
  },
];
